define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var NotificationRulesOutModel = (function () {
        function NotificationRulesOutModel() {
            this.Id = ko.observable(0);
            this.DisplayName = ko.observable('');
            this.Applicability = ko.observable('');
            this.UserId = ko.observable('');
            this.SubscriptionId = ko.observable('');
            this.RuleProviderId = ko.observable('');
            this.NotificationEmails = ko.observable('');
            this.IsEnabled = ko.observable(true);
            this.RuleParams = ko.observable();
        }
        NotificationRulesOutModel.getNotificationRulesOutData = function (notificationRule) {
            return {
                Id: notificationRule.Id,
                DisplayName: notificationRule.DisplayName,
                Applicability: notificationRule.Applicability,
                UserId: notificationRule.UserId,
                SubscriptionId: notificationRule.SubscriptionId,
                RuleProviderId: notificationRule.RuleProviderId,
                NotificationEmails: notificationRule.NotificationEmails,
                IsEnabled: notificationRule.IsEnabled,
                RuleParams: notificationRule.RuleParams,
            };
        };
        return NotificationRulesOutModel;
    }());
    exports.NotificationRulesOutModel = NotificationRulesOutModel;
});
