var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DownloadUsageCommandViewModel = (function (_super) {
        __extends(DownloadUsageCommandViewModel, _super);
        function DownloadUsageCommandViewModel(container, initialState, dataContext) {
            var _this = _super.call(this, true) || this;
            _this._id = ko.observable();
            _this.enabled(false);
            _this.icon(MsPortalFx.Base.Images.Download());
            _this._container = container;
            _this._dataContext = dataContext;
            _this.authorizationToken.subscribe(_this._container, function (authorizationToken) {
                if (authorizationToken) {
                    _this.enabled(true);
                }
            });
            _this.httpMethod("GET");
            _this.showDownloadProgressDialog(true);
            return _this;
        }
        DownloadUsageCommandViewModel.prototype.onInputsSet = function (inputs) {
            var _this = this;
            this.targetUriCallback(function () {
                var args = {
                    subscriptionId: inputs.subscriptionId,
                };
                var downloadUri = _this._dataContext.sharedContext.invoicesManager.downloadUsageCsvUriFormat(args) + "&month=" + inputs.billingPeriod.Month +
                    "&year=" + inputs.billingPeriod.Year;
                return Q(downloadUri);
            });
            return Q();
        };
        return DownloadUsageCommandViewModel;
    }(MsPortalFx.ViewModels.FileDownloadCommand));
    exports.DownloadUsageCommandViewModel = DownloadUsageCommandViewModel;
});
