var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "ClientResources"], function (require, exports, ClientResources) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    "use strict";
    var BillingOverviewPartViewModel = (function (_super) {
        __extends(BillingOverviewPartViewModel, _super);
        function BillingOverviewPartViewModel(container, initialState, dataContext) {
            var _this = _super.call(this) || this;
            _this.id = ko.observable();
            _this.icon(MsPortalFx.Base.Images.Polychromatic.Chart());
            _this.description(ClientResources.Assets.BillingOverview.singular);
            return _this;
        }
        BillingOverviewPartViewModel.prototype.onInputsSet = function (inputs) {
            this.id(inputs.id);
            var descriptor = MsPortalFx.ViewModels.Services.ResourceTypes.parseResourceDescriptor(this.id());
            this.title(descriptor.resource);
            return Q();
        };
        return BillingOverviewPartViewModel;
    }(MsPortalFx.ViewModels.ButtonPart));
    exports.BillingOverviewPartViewModel = BillingOverviewPartViewModel;
});
