var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "ClientResources"], function (require, exports, ClientResources) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    "use strict";
    var BillingOverviewPropertiesPartViewModel = (function (_super) {
        __extends(BillingOverviewPropertiesPartViewModel, _super);
        function BillingOverviewPropertiesPartViewModel(container, initialState, dataContext) {
            var _this = _super.call(this, initialState) || this;
            _this._name = ko.observable("");
            _this._entityView = dataContext.sharedContext.billingOverviewManager.billingOverviewEntity.createView(container);
            return _this;
        }
        BillingOverviewPropertiesPartViewModel.prototype.onInputsSet = function (inputs) {
            var _this = this;
            return this._entityView.fetch(inputs.id).then(function () {
                var item = _this._entityView.item();
                var properties = [
                    new MsPortalFx.ViewModels.Parts.Properties.TextProperty(ClientResources.Properties.Name.label, item.Properties().Name())
                ];
                _this.setProperties(properties);
            });
        };
        return BillingOverviewPropertiesPartViewModel;
    }(MsPortalFx.ViewModels.Parts.Properties.ViewModel));
    exports.BillingOverviewPropertiesPartViewModel = BillingOverviewPropertiesPartViewModel;
});
