var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "ClientResources", "../../../_generated/ExtensionDefinition"], function (require, exports, ClientResources, ExtensionDefinition) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    "use strict";
    var BillingOverviewSettingsListPartViewModel = (function (_super) {
        __extends(BillingOverviewSettingsListPartViewModel, _super);
        function BillingOverviewSettingsListPartViewModel(container, initialState, dataContext) {
            var _this = _super.call(this, container, initialState, BillingOverviewSettingsListPartViewModel._getSettings(ko.observable({})), { enableRbac: true, enableTags: true, groupable: true }) || this;
            _this.id = ko.observable();
            _this._propertiesSettingBladeInputs = ko.observable({});
            return _this;
        }
        BillingOverviewSettingsListPartViewModel.prototype.onInputsSet = function (inputs) {
            this.id(inputs.id);
            this._propertiesSettingBladeInputs({ id: inputs.id });
            return Q(true);
        };
        BillingOverviewSettingsListPartViewModel._getSettings = function (propertiesSettingBladeInputs) {
            var propertiesSetting = new MsPortalFx.ViewModels.Parts.SettingList.Setting("properties", ExtensionDefinition.BladeNames.billingOverviewPropertiesBlade, propertiesSettingBladeInputs);
            propertiesSetting.displayText(ClientResources.SettingsList.Properties.title);
            propertiesSetting.icon(MsPortalFx.Base.Images.Properties());
            return [
                propertiesSetting
            ];
        };
        return BillingOverviewSettingsListPartViewModel;
    }(MsPortalFx.ViewModels.Parts.SettingList.ViewModel));
    exports.BillingOverviewSettingsListPartViewModel = BillingOverviewSettingsListPartViewModel;
});
