define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../CloudServices/ViewModels/AddCloudServiceCustomerProfileBladeViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "AddCloudServiceCustomerProfileBlade",
        "inputs": [
            "marketDetails"
        ],
        "templateKeyInputs": [
            "marketDetails"
        ],
        "viewModelName": "CloudServices$AddCloudServiceCustomerProfileBladeViewModel",
        "lenses": [],
        "width": 1,
        "pinnable": false,
        "toolbar": {
            "source": {
                "valuesFrom": [
                    {
                        "referenceType": 0,
                        "property": "content.commandBar"
                    }
                ]
            }
        },
        "templateBlade": {
            "partSize": 0,
            "htmlTemplateInline": {
                "file": "AddCloudServiceCustomerProfileBlade.html",
                "content": "<div data-bind='pcControl: infoBox'></div> <div class=\"msportalfx-form\" data-bind=\"formElement: formSection\"></div>"
            },
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ]
        },
        "attributes": 0
    };
});
