define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../CloudServices/ViewModels/AvailableCloudServiceLicensesBladeViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "AvailableCloudServiceLicensesBlade",
        "inputs": [
            "subscriptionId",
            "cspCustomerId",
            "cspCustomerUserId"
        ],
        "templateKeyInputs": [
            "subscriptionId",
            "cspCustomerId",
            "cspCustomerUserId"
        ],
        "viewModelName": "CloudServices$AvailableCloudServiceLicensesBladeViewModel",
        "lenses": [],
        "width": 1,
        "toolbar": {
            "source": {
                "valuesFrom": [
                    {
                        "referenceType": 0,
                        "property": "content.commandBar"
                    }
                ]
            }
        },
        "templateBlade": {
            "partSize": 0,
            "htmlTemplateInline": {
                "file": "AvailableCloudServiceLicensesBlade.html",
                "content": " <div data-bind='pcControl: assignedLicensesGrid'></div>"
            },
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ]
        },
        "attributes": 0
    };
});
