define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../CloudServices/ViewModels/CloudServiceSubscriptionDetailsBladeViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "CloudServiceSubscriptionDetailsBlade",
        "inputs": [
            "subscriptionId",
            "cspSubscriptionId"
        ],
        "templateKeyInputs": [
            "subscriptionId",
            "cspSubscriptionId"
        ],
        "viewModelName": "CloudServices$CloudServiceSubscriptionDetailsBladeViewModel",
        "lenses": [],
        "width": 2,
        "toolbar": {
            "source": {
                "valuesFrom": [
                    {
                        "referenceType": 0,
                        "property": "content.commandBar"
                    }
                ]
            }
        },
        "templateBlade": {
            "partSize": 0,
            "htmlTemplateInline": {
                "file": "CloudServiceSubscriptionDetailsBlade.html",
                "content": "<div class=\"msportalfx-form\" data-bind=\"formElement: generalSection\"></div> <!--<div data-bind=\"text: subscriptionDescription\"></div>--> "
            },
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ]
        },
        "attributes": 0
    };
});
