define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../Billing/ViewModels/InvoicesCollectionBladeViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "InvoicesCollectionBlade",
        "viewModelName": "Billing$InvoicesCollectionBladeViewModel",
        "lenses": [],
        "width": 2,
        "pinnable": false,
        "toolbar": {
            "source": {
                "valuesFrom": [
                    {
                        "referenceType": 0,
                        "property": "content.commandBar"
                    }
                ]
            }
        },
        "templateBlade": {
            "details": [
                {
                    "selectablePath": "content.invoicesGrid.selectableData",
                    "blade": "InvoiceDetailBlade",
                    "selectableBindings": [
                        {
                            "property": "subscriptionId",
                            "valuesFrom": [
                                {
                                    "referenceType": 6,
                                    "property": "SubscriptionId"
                                }
                            ]
                        },
                        {
                            "property": "invoiceId",
                            "valuesFrom": [
                                {
                                    "referenceType": 6,
                                    "property": "Id"
                                }
                            ]
                        }
                    ]
                }
            ],
            "partSize": 0,
            "htmlTemplateInline": {
                "file": "InvoicesCollectionBlade.html",
                "content": " <div data-bind='pcControl: subscriptionsDropDown' style=\"height: 50px;\"></div> <div data-bind=\"pcControl: gridOrChartOptionPicker\"></div> <div data-bind=\"if: isShowGrid\"> <div data-bind='pcControl: invoicesGrid'></div> </div> <div data-bind=\"ifnot: isShowGrid\" style=\"margin-top: 30px\"> <div data-bind=\"pcControl: barChartVM\" style=\"height: 600px\"></div> </div> "
            },
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ]
        },
        "attributes": 0
    };
});
