define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../Billing/ViewModels/Notifications/NotificationMessageDetailsBladeViewModel", "../../Billing/ViewModels/Notifications/NotificationMessageDetailsPartBladeViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "NotificationMessageDetailsBlade",
        "inputs": [
            "selectedMessageId",
            "selectedMessage"
        ],
        "templateKeyInputs": [
            "selectedMessageId"
        ],
        "viewModelName": "Billing$NotificationMessageDetailsBladeViewModel",
        "lenses": [
            {
                "name": "NotificationMessageDetailsPartBladeLens",
                "partInstances": [
                    {
                        "name": "NotificationMessageDetailsPartBlade",
                        "inline": {
                            "viewModel": "Billing$NotificationMessageDetailsPartBladeViewModel",
                            "partKind": 0,
                            "inputs": [
                                "selectedMessageId",
                                "selectedMessage"
                            ],
                            "bindings": [
                                {
                                    "property": "selectedMessageId",
                                    "valuesFrom": [
                                        {
                                            "referenceType": 1,
                                            "property": "selectedMessageId"
                                        }
                                    ]
                                },
                                {
                                    "property": "selectedMessage",
                                    "valuesFrom": [
                                        {
                                            "referenceType": 1,
                                            "property": "selectedMessage"
                                        }
                                    ]
                                }
                            ],
                            "details": [],
                            "initialSize": 8,
                            "supportedSizes": [
                                8
                            ],
                            "htmlTemplateInline": {
                                "file": "NotificationMessageDetailsPartBlade.html",
                                "content": "<div class=\"msportalfx-form msportalfx-form-create\"> <div data-bind=\"foreach: detailsSection\"> <div class=\"msportalfx-text-header-regular\" data-bind=\"text: title\" style=\"margin-top: 15px; font-weight: bold\"></div> <div data-bind=\"foreach: items\" style=\"margin-top: 10px\"> <div> <div style=\"font-weight: bold; width: 33%; min-width: 33%; float: left;\" class=\"msportalfx-text-regular msportalfx-text-ellipsis msportalfx-tooltip-overflow\" data-bind=\"text: label\"></div> <div style=\"padding-left: 5px; overflow:hidden; text-overflow:ellipsis\" class=\"msportalfx-text-regular msportalfx-tooltip-overflow\" data-bind=\"text: value\"></div> </div> </div> </div> </div>"
                            },
                            "styleSheets": [
                                {
                                    "file": "Blades/TenantBillingStyles.css",
                                    "content": BladesTenantBillingStylescss
                                },
                                {
                                    "file": "Blades/DocStyles.css",
                                    "content": BladesDocStylescss
                                }
                            ]
                        }
                    }
                ]
            }
        ],
        "width": 1,
        "attributes": 0
    };
});
