define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../Billing/ViewModels/PaymentMethodsBladeViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "PaymentMethodsBlade",
        "viewModelName": "Billing$PaymentMethodsBladeViewModel",
        "lenses": [],
        "width": 2,
        "pinnable": false,
        "toolbar": {
            "source": {
                "valuesFrom": [
                    {
                        "referenceType": 0,
                        "property": "content.commandBar"
                    }
                ]
            }
        },
        "templateBlade": {
            "partSize": 0,
            "htmlTemplateInline": {
                "file": "PaymentMethodsBlade.html",
                "content": "<div class=\"msportalfx-form\">No Payment methods setup yet!</div>"
            },
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ]
        },
        "attributes": 0
    };
});
