var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var NotificationMessageDetailsPartBladeViewModel = (function (_super) {
        __extends(NotificationMessageDetailsPartBladeViewModel, _super);
        function NotificationMessageDetailsPartBladeViewModel(container, initialState, dataContext) {
            var _this = _super.call(this) || this;
            _this.detailsSection = ko.observableArray();
            _this.selectedMessageId = ko.observable();
            _this.selectedMessage = ko.observable();
            _this.container = container;
            ko.reactor(container, function () {
                if (_this.selectedMessage()) {
                    _this.detailsSection([]);
                    var items = [];
                    items.push({ label: "Id", value: _this.selectedMessage().Id });
                    items.push({ label: "Level", value: _this.selectedMessage().LevelString });
                    items.push({ label: "Time Stamp", value: _this.selectedMessage().TimestampString });
                    items.push({ label: "Subscription", value: _this.selectedMessage().SubscriptionName });
                    items.push({ label: "Description", value: _this.selectedMessage().Description });
                    var section = {
                        title: ko.observable(_this.selectedMessage().Title),
                        items: ko.observableArray(items)
                    };
                    _this.detailsSection.push(section);
                }
            });
            return _this;
        }
        NotificationMessageDetailsPartBladeViewModel.prototype.onInputsSet = function (inputs) {
            this.selectedMessageId(inputs.selectedMessageId);
            this.selectedMessage(inputs.selectedMessage);
            return Q();
        };
        return NotificationMessageDetailsPartBladeViewModel;
    }(MsPortalFx.ViewModels.Blade));
    exports.NotificationMessageDetailsPartBladeViewModel = NotificationMessageDetailsPartBladeViewModel;
});
