var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "ClientResources", "../../../_generated/ExtensionDefinition"], function (require, exports, ClientResources, ExtensionDefinition) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    "use strict";
    var BillingOverviewBladeViewModel = (function (_super) {
        __extends(BillingOverviewBladeViewModel, _super);
        function BillingOverviewBladeViewModel(container, initialState, dataContext) {
            var _this = _super.call(this) || this;
            _this.id = ko.observable();
            _this.subscriptionId = ko.observable();
            _this.assetType = ko.observable(ExtensionDefinition.AssetTypeNames.billing);
            _this.assetOwner = ko.observable(ExtensionDefinition.definitionName);
            _this._container = container;
            _this._dataContext = dataContext;
            _this.title(ClientResources.Assets.BillingOverview.singular);
            _this.icon(MsPortalFx.Base.Images.Polychromatic.Chart());
            return _this;
        }
        BillingOverviewBladeViewModel.prototype.onInputsSet = function (inputs) {
            var _this = this;
            this.id(inputs.id);
            return this._dataContext.sharedContext.subscriptionsManager.subscriptionsPromise.then(function (subscriptions) {
                _this.subscriptionId(subscriptions.first().subscriptionId);
            });
        };
        return BillingOverviewBladeViewModel;
    }(MsPortalFx.ViewModels.Blade));
    exports.BillingOverviewBladeViewModel = BillingOverviewBladeViewModel;
});
