define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var BillingOverviewResourceMappingViewModel = (function () {
        function BillingOverviewResourceMappingViewModel(container, initialValue, dataContext) {
            this._dataContext = dataContext;
        }
        BillingOverviewResourceMappingViewModel.prototype.mapResourceIdToAssetId = function (resourceId) {
            return Q(resourceId);
        };
        BillingOverviewResourceMappingViewModel.prototype.mapAssetIdToResourceId = function (assetId) {
            return Q(assetId);
        };
        BillingOverviewResourceMappingViewModel.prototype.signalResourcesChanged = function () {
            return this._dataContext.refreshBillingOverviews();
        };
        return BillingOverviewResourceMappingViewModel;
    }());
    exports.BillingOverviewResourceMappingViewModel = BillingOverviewResourceMappingViewModel;
});
