var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var PaymentMethodsBladeViewModel = (function (_super) {
        __extends(PaymentMethodsBladeViewModel, _super);
        function PaymentMethodsBladeViewModel(container, initialState, dataContext) {
            var _this = _super.call(this) || this;
            _this.subscriptionId = ko.observable();
            _this.location = ko.observable();
            _this.title = ko.observable("Contact Info");
            _this.icon = ko.observable(MsPortalFx.Base.Images.Person());
            _this._container = container;
            _this._dataContext = dataContext;
            _this._setupCommandBar();
            return _this;
        }
        PaymentMethodsBladeViewModel.prototype._setupCommandBar = function () {
            this.addPaymentMethodButton = new MsPortalFx.ViewModels.Toolbars.CommandButton();
            this.addPaymentMethodButton.label("Add Payment Method");
            this.addPaymentMethodButton.icon(MsPortalFx.Base.Images.Add());
            this.addPaymentMethodButton.commandContext = ko.observable({
                subscriptionId: this.subscriptionId,
                location: this.location
            });
            this.addPaymentMethodButton.command = {
                canExecute: ko.observable(true),
                execute: function (context) {
                    return Q();
                }
            };
            this.commandBar = new MsPortalFx.ViewModels.Toolbars.Toolbar(this._container);
            this.commandBar.setItems([this.addPaymentMethodButton]);
        };
        PaymentMethodsBladeViewModel.prototype.onInputsSet = function (inputs, settings) {
            var args = {};
            return Q();
        };
        return PaymentMethodsBladeViewModel;
    }(MsPortalFx.ViewModels.Blade));
    exports.PaymentMethodsBladeViewModel = PaymentMethodsBladeViewModel;
});
