define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../Billing/ViewModels/Overview/BillingOverviewPropertiesBladeViewModel", "../../Billing/ViewModels/Overview/BillingOverviewPropertiesPartViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "BillingOverviewPropertiesBlade",
        "inputs": [
            "id"
        ],
        "viewModelName": "Billing$BillingOverviewPropertiesBladeViewModel",
        "lenses": [
            {
                "name": "BillingOverviewPropertiesBlade_lens1",
                "partInstances": [
                    {
                        "name": "PropertiesPart",
                        "inline": {
                            "viewModel": "Billing$BillingOverviewPropertiesPartViewModel",
                            "partKind": 24,
                            "inputs": [
                                "id"
                            ],
                            "bindings": [
                                {
                                    "property": "id",
                                    "valuesFrom": [
                                        {
                                            "referenceType": 1,
                                            "property": "id"
                                        }
                                    ]
                                }
                            ],
                            "details": [
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.selection"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.moveResourceSelection"
                                                }
                                            ]
                                        }
                                    ],
                                    "outputArguments": [
                                        {
                                            "property": "actionBarOutput",
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 1,
                                                    "property": "actionBarOutput"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ],
                            "initialSize": 8,
                            "styleSheets": [
                                {
                                    "file": "Blades/TenantBillingStyles.css",
                                    "content": BladesTenantBillingStylescss
                                },
                                {
                                    "file": "Blades/DocStyles.css",
                                    "content": BladesDocStylescss
                                }
                            ]
                        }
                    }
                ]
            }
        ],
        "viewModelInputs": [
            {
                "property": "id",
                "valuesFrom": [
                    {
                        "referenceType": 1,
                        "property": "id"
                    }
                ]
            }
        ],
        "width": 0,
        "locked": true,
        "style": 6,
        "attributes": 0
    };
});
