define(["require", "exports", "../../CloudServices/ViewModels/CloudServicesOverviewBladeViewModel", "../../CloudServices/ViewModels/CloudServicesOverviewResourceSummaryViewModel"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "CloudServicesOverviewBlade",
        "viewModelName": "CloudServices$CloudServicesOverviewBladeViewModel",
        "lenses": [
            {
                "isSummary": true,
                "name": "CloudServicesOverviewResourceSummary",
                "partInstances": [
                    {
                        "name": "ResourceSummaryPart",
                        "inline": {
                            "viewModel": "CloudServices$CloudServicesOverviewResourceSummaryViewModel",
                            "partKind": 30,
                            "inputs": [
                                "resourceId"
                            ],
                            "bindings": [],
                            "details": [
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.selection"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.asyncSelection"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.tagsSelectable"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.accessSelectable"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.settingsSelectable"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.quickStartSelectable"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.keysSelectable"
                                                }
                                            ]
                                        }
                                    ]
                                },
                                {
                                    "invocationInputArguments": [
                                        {
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 0,
                                                    "property": "content.moveResourceSelection"
                                                }
                                            ]
                                        }
                                    ],
                                    "outputArguments": [
                                        {
                                            "property": "actionBarOutput",
                                            "valuesFrom": [
                                                {
                                                    "referenceType": 1,
                                                    "property": "actionBarOutput"
                                                }
                                            ]
                                        }
                                    ]
                                }
                            ],
                            "initialSize": 1,
                            "partState": {
                                "inputIdentityProperties": [
                                    "content.collapsed"
                                ]
                            },
                            "styleSheets": []
                        }
                    }
                ]
            }
        ],
        "width": 3,
        "locked": false,
        "attributes": 0
    };
});
