define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../Billing/ViewModels/ContactInfoBladeViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "ContactInfoBlade",
        "viewModelName": "Billing$ContactInfoBladeViewModel",
        "lenses": [],
        "width": 2,
        "pinnable": false,
        "templateBlade": {
            "partSize": 0,
            "htmlTemplateInline": {
                "file": "ContactInfoBlade.html",
                "content": "<div class=\"msportalfx-form\" data-bind=\"formElement: generalSection\"></div>"
            },
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ]
        },
        "attributes": 0
    };
});
