define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../Billing/ViewModels/UsageHistoryByResourcesGridBladeViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.blade = {
        "name": "UsageHistoryByResourcesGridBlade",
        "inputs": [
            "subscriptionId",
            "billingPeriod"
        ],
        "viewModelName": "Billing$UsageHistoryByResourcesGridBladeViewModel",
        "lenses": [],
        "width": 2,
        "templateBlade": {
            "partSize": 0,
            "htmlTemplateInline": {
                "file": "UsageHistoryByResourcesGridBlade.html",
                "content": " <div data-bind='pcControl: filtersSection'></div> <div style=\"padding: 20px 0;\"> <div data-bind='pcControl: applyFiltersButton'></div> <!--<div data-bind='pcControl: downloadHistoryButton' style=\"padding-left: 20px\"></div>--> </div> <div> <span>Total Billable Cost</span><br/> <span style=\"font-size: 28px;\" data-bind=\"text: totalBillableCost\"></span> <span style=\"font-size: 10px;\" data-bind=\"text: currency\"></span> </div> <div data-bind='pcControl: resourcesUsageGrid'></div>"
            },
            "styleSheets": [
                {
                    "file": "Blades/TenantBillingStyles.css",
                    "content": BladesTenantBillingStylescss
                },
                {
                    "file": "Blades/DocStyles.css",
                    "content": BladesDocStylescss
                }
            ]
        },
        "attributes": 0
    };
});
