define(["require", "exports", "../Blades/TenantBillingStyles.css", "../Blades/DocStyles.css", "../../CloudServices/ViewModels/CloudServiceUsersGridPartViewModel"], function (require, exports, BladesTenantBillingStylescss, BladesDocStylescss) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.part = {
        "viewModel": "CloudServices$CloudServiceUsersGridPartViewModel",
        "partKind": 0,
        "canUseOldInputVersions": false,
        "inputs": [],
        "bindings": [],
        "details": [
            {
                "selectablePath": "content.cloudServiceUsersGrid.selectableData",
                "blade": "CloudServiceSubscriptionsBlade",
                "selectableBindings": [
                    {
                        "property": "cloudServiceUserId",
                        "valuesFrom": [
                            {
                                "referenceType": 6,
                                "property": "UserId"
                            }
                        ]
                    }
                ]
            }
        ],
        "htmlTemplateInline": {
            "file": "CloudServiceUsersGridPart.html",
            "content": "<div> <span style=\"font-size: 24px; font-weight: bold\" data-bind='text: cloudServiceUsersGrid.items().length'></span> <span style=\"font-size: 16px; font-weight: bold\"> Users </span> </div> <div data-bind='pcControl: cloudServiceUsersGrid'></div> "
        },
        "styleSheets": [
            {
                "file": "Blades/TenantBillingStyles.css",
                "content": BladesTenantBillingStylescss
            },
            {
                "file": "Blades/DocStyles.css",
                "content": BladesDocStylescss
            }
        ],
        "name": "CloudServiceUsersGridPart"
    };
});
