define(["require", "exports", "../../Billing/ViewModels/CostBreakdownDonutPartViewModel"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.part = {
        "viewModel": "Billing$CostBreakdownDonutPartViewModel",
        "partKind": 28,
        "canUseOldInputVersions": false,
        "inputs": [
            "subscriptionId",
            "isInvoice",
            "billingPeriod"
        ],
        "bindings": [
            {
                "property": "subscriptionId",
                "valuesFrom": [
                    {
                        "referenceType": 1,
                        "property": "subscriptionId"
                    }
                ]
            },
            {
                "property": "isInvoice",
                "valuesFrom": [
                    {
                        "referenceType": 1,
                        "property": "isInvoice"
                    }
                ]
            },
            {
                "property": "billingPeriod",
                "valuesFrom": [
                    {
                        "referenceType": 1,
                        "property": "billingPeriod"
                    }
                ]
            }
        ],
        "details": [
            {
                "blade": "UsageHistoryByResourcesGridBlade",
                "additionalInputArguments": [
                    {
                        "property": "subscriptionId",
                        "valuesFrom": [
                            {
                                "referenceType": 0,
                                "property": "content.subscriptionId"
                            }
                        ]
                    },
                    {
                        "property": "billingPeriod",
                        "valuesFrom": [
                            {
                                "referenceType": 0,
                                "property": "content.billingPeriod"
                            }
                        ]
                    }
                ]
            }
        ],
        "styleSheets": [],
        "name": "CostBreakdownDonutPart"
    };
});
